Subject: Re: [PATCH] net: add ability to clear stats via ethtool - e1000/pcnet32

From: James Cammarata <[email-masked]>
Date: Thu, 29 May 2008 07:34:25 -0500

> You didn't provide a reason from adding this feature to the kernel.

Sorry, my reasoning was in my original patch only.  The ability to reset network 
counters is, in my experience, one of the first things you do when trying to 
troubleshoot networking issues - especially when you have incrementing errors.

> Many of the kernel's accounting accumulators cannot be reset.  We
> handle that in userspace tools by using subtraction.

I don't think that should preclude the ability to reset these, unless it is
shown that it would break something very badly.